twitter4j

## Interface HashtagEntity

All Superinterfaces:
  Serializable, TweetEntity

    public interface HashtagEntity
    extends TweetEntity, Serializable

A data interface representing one single Hashtag entity.

Since:
  Twitter4J 2.1.9
Author:
  Yusuke Yamamoto - yusuke at mac.com

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getEnd()` Returns the index of the end character of the hashtag.
`int` `getStart()` Returns the index of the start character of the hashtag.
`String` `getText()` Returns the text of the hashtag without #.

### Method Detail

#### getText

    String getText()

Returns the text of the hashtag without #.

Specified by:
  `getText` in interface `TweetEntity`
Returns:
  the text of the hashtag

#### getStart

    int getStart()

Returns the index of the start character of the hashtag.

Specified by:
  `getStart` in interface `TweetEntity`
Returns:
  the index of the start character of the hashtag

#### getEnd

    int getEnd()

Returns the index of the end character of the hashtag.

Specified by:
  `getEnd` in interface `TweetEntity`
Returns:
  the index of the end character of the hashtag